using DFS.Core.Mvc.Jwt.Impl;
using Microsoft.Extensions.DependencyInjection;

namespace DFS.Core.Mvc.Jwt
{
    public static class JwtServiceCollectionExtension
    {
        public static IServiceCollection AddJwtAuth(this IServiceCollection services)
        {
            services.AddTransient<IAuth, AuthService>();
            services.AddTransient<ITokenManager, JWTManager>();
            return services;
        }
    }
}
